Package org.apache.synapse.commons.throttle.module.utils

## Class StatCollector

- java.lang.Object
- - org.apache.synapse.commons.throttle.module.utils.StatCollector

-     public class StatCollector
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static boolean` | `enableStatCollection` |
    `static long` | `statCollectionPeriod` |
    `static long` | `statDisplayWindow` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `collect​(AccessInformation accessInfo, String callerID, int type)` |
    `static void` | `displayStats​(int throttleType)` |
    `static void` | `flushStats()` |
    `static StatCollector` | `getInstance()` |
    `static void` | `main​(String[] args)` |
    `static void` | `setStatCollectionPeriod​(long period)` |
    `static void` | `setStatDisplayWindow​(long period)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### statCollectionPeriod

          public static long statCollectionPeriod

    - #### statDisplayWindow

          public static long statDisplayWindow

    - #### enableStatCollection

          public static boolean enableStatCollection

  - ### Method Detail

    - #### getInstance

          public static StatCollector getInstance()

    - #### setStatCollectionPeriod

          public static void setStatCollectionPeriod​(long period)

    - #### setStatDisplayWindow

          public static void setStatDisplayWindow​(long period)

    - #### collect

          public static void collect​(AccessInformation accessInfo,
                                     String callerID,
                                     int type)

    - #### flushStats

          public static void flushStats()

    - #### displayStats

          public static void displayStats​(int throttleType)

    - #### main

          public static void main​(String[] args)